# print_tableau

Prints the tableau.

void print_tableau(lprec *lp);

Return Value

print_tableau has no return value.

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

Remarks

The print_tableau function prints the tableau. This function only works after a successful solve
This function is meant for debugging purposes. By default, the output is stdout. However this can be changed via a call to set_outputstream, set_outputfile.

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      lprec *lp;

      /* Create a new LP model */
      lp = make_lp(1, 1);
      if(lp == NULL) {
        fprintf(stderr, "Unable to create new LP model\n");
        return(1);
      }

      solve(lp);

      print_tableau(lp);

      delete_lp(lp);

      return(0);
    }

lp_solve API reference

See Also delete_lp, free_lp, make_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI, print_objective, print_solution, print_constraints, print_duals, print_scales, print_str, set_outputstream, set_outputfile, print_debugdump